package com.qmth.eds.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.eds.entity.ExamSemester;
import com.qmth.eds.mapper.ExamSemesterMapper;
import com.qmth.eds.service.ExamSemesterService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ExamSemesterServiceImpl extends ServiceImpl<ExamSemesterMapper, ExamSemester> implements ExamSemesterService {
    @Override
    public List<ExamSemester> listBySchoolId(Long schoolId) {
        QueryWrapper<ExamSemester> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(ExamSemester::getSchoolId, schoolId);
        return this.baseMapper.selectList(queryWrapper);
    }
}
